%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  iDOS
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Integrated Discovery of Oncogenic Signatures

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-VennDiagram >= 1.6.5
Requires:         R-CRAN-VennDiagram >= 1.6.5

%description
A method to integrate molecular profiles of cancer patients (gene copy
number and mRNA abundance) to identify candidate gain of function
alterations. These candidate alterations can be subsequently further
tested to discover cancer driver alterations. Briefly, this method tests
of genomic correlates of mRNA dysregulation and prioritise those where DNA
gains/amplifications are associated with elevated mRNA expression of the
same gene. For details see, Haider S et al. (2016) "Genomic alterations
underlie a pan-cancer metabolic shift associated with tumour hypoxia",
Genome Biology, <https://pubmed.ncbi.nlm.nih.gov/27358048/>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
